Subject: Re: [PATCH net-next] ionic: add support for ethtool extended stat link_down_count

From: Jakub Kicinski <[email-masked]>
Date: Fri, 2 Jun 2023 23:47:08 -0700

On Fri, 2 Jun 2023 10:32:52 -0700 Shannon Nelson wrote:
> Following the example of 9a0f830f8026 ("ethtool: linkstate: add a statistic
> for PHY down events"), added support for link down events.
> 
> Added callback ionic_get_link_ext_stats to ionic_ethtool.c to support
> link_down_count, a property of netdev that gets incremented every time
> the device link goes down.

Hm, could you say more about motivation? The ethtool stat is supposed to
come from HW and represent PHY-level flap count. It's used primarily to
find bad cables in a datacenter. Is this also the use case for ionic?
It's unclear to me whether ionic interfaces are seeing an actual PHY or
just some virtual link state of the IPU and in the latter case it's not
really a match.